<?php
/**
 *
 * @package Slider Premium
 */
?>
<?php $showContent = get_theme_mod('slider_section_show_content', 'on'); ?>
<div class="slider_section" id="slider">
	
	<div id="ht-bx-slider">
		<?php
		$args = array( 'post_type' => 'slider', 'orderby'   => 'id', 'order' => 'DESC',);
		if(!empty($pageId)){
			$args['page_id'] = absint($pageId);

		}
		$text = '';
		$query = new WP_Query($args);
		if($query->have_posts()){
			while($query->have_posts()) : $query->the_post(); 
				$pageLink = '';
				$slider_btn_link = get_post_meta($post->ID,'slider_btn_link',false);
				$sliderBtnTxt = get_post_meta($post->ID,'sliderBtnTxt',false);
				if(!empty($slider_btn_link) && is_array($slider_btn_link)){
					$pageLink = esc_url(get_permalink($slider_btn_link[0]));
				}
				if(!empty($sliderBtnTxt) && is_array($sliderBtnTxt)){
					$pageLinkTxt = $sliderBtnTxt[0];
				}else{
					$pageLinkTxt = 'Start Free Trial';
				}

				if( get_theme_mod('slider_opacity',true) ) {
					$slider_opacity = 'opacity:'.esc_attr(get_theme_mod('slider_opacity')).';';
				}
			?>
				<div class="ht-slide">
					<div class="slider_gradiant"></div>
				<div class="highlightbox"></div>
						<div class="sliderimg">
						
							<?php 
						if(has_post_thumbnail()){
							$total_slider_image = wp_get_attachment_image_src(get_post_thumbnail_id(),'full');	
							echo '<img class="slide-mainimg" alt="'. esc_html(get_the_title()) .'" src="'.esc_url($total_slider_image[0]).'">';
						}?>
					</div>

					<?php
					if($showContent == 'on'){
						?>
						<div class="slider_content">
							<div class="title animated fadeInDownBig">
								<?php echo (get_the_title()); ?>
							</div>
							<div class="sub-title animated fadeInLeftBig">
								<?php echo (get_the_content()); ?>
							</div>		
							
						</div>
						<?php }?>
					</div>
					<?php
				endwhile;
			}else{ 
				for($i=0;$i<2;$i++){?>
				<div class="ht-slide">	
				<div class="slider_gradiant"></div>
				<div class="highlightbox"></div>
					<div class="sliderimg">						
						<?php echo '<img class="slide-mainimg" alt="Slider" src="'. esc_html(get_template_directory_uri()) .'/images/slider-banner.jpg">';?>
					</div>
					<?php if($showContent == 'on'){?>
					<div class="slider_content">
						<div class="title animated fadeInDownBig">GET ALL IN ONE PLATFORM</div>
						<div class="sub-title animated fadeInLeftBig">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</div>				
					
					</div>
					<?php }?>
				</div>
				<?php }
			}?>
		</div>
	</div>
